Booking Flow

Check Ins

A CheckIn represents an instance of a customer arriving at a site. Check-ins are typically created when a customer scans an associated barcode, taps a wearable on a Gantner reader, or is checked in manually via the Trybe app.

The CheckIn object

Attributes

  • idstringrequired

    The ID of this check-in

  • customerobjectrequired

    Summary details of the customer who checked in.

  • membership_idstringrequired

    The membership ID associated with this check-in

  • site_idstringrequired

    The site ID where this check-in happened

  • methodobjectrequired

    Details of the method used to record the check-in.

  • checked_in_atdate-timerequirednullable

    The datetime when this check-in happened

  • checked_out_atdate-timerequirednullable

    The datetime when this check-out happened

{
  "id": "000000-000000-000000-000000",
  "customer": {
    "id": "000000-000000-000000-000000",
    "first_name": "John",
    "last_name": "Smith",
    "full_name": "John Smith",
    "email": "john@example.com"
  },
  "membership_id": "000000-000000-000000-000000",
  "site_id": "000000-000000-000000-000000",
  "method": {
    "name": "Scanned"
  },
  "checked_in_at": "2021-01-01T00:00:00.000Z",
  "checked_out_at": "2021-01-01T00:00:00.000Z"
}
get/customers/check-ins

List Check-ins

listCheckIns

Retrieves a list of all check-ins, optionally filtered by customer, site, date range and method.

Query parameters

  • customer_idstring[]optional

    The customer IDs to filter check-ins by

  • site_idstringoptional

    The site ID to filter check-ins by

  • date_fromstringoptional

    Filter check-ins and check-outs that happened on or after the given datetime.

  • date_tostringoptional

    Filter check-ins and check-outs that happened on or before the given datetime.

  • checked_in_at_fromstringoptional

    Filter check-ins that happened on or after the given datetime.

  • checked_in_at_tostringoptional

    Filter check-ins that happened on or before the given datetime.

  • method_idstringoptional

    Filter check-ins that were created by the given method ID.

  • method_typestringoptional

    Filter check-ins that were created by the given method type.

    Possible values:gantner
  • pageintegeroptional

    The page to retrieve results from

  • per_pageintegeroptional

    The number of results to return per page

Responses

  • 200

    The check-ins were successfully retrieved

  • 401

    The user is unauthenticated

post/customers/check-ins

Create a Check-in

createCheckIn

Records a new check-in for a customer at the given site.

Request body

  • customer_idstringrequired

    The customer ID associated with this check-in

  • membership_idstringoptional

    The membership ID associated with this check-in

  • site_idstringrequired

    The site ID where this check-in happened

  • method_idstringoptionalnullable

    Identifier of the method that produced the check-in. Use one of the generic string codes (scanned, check_in_button) for human-driven check-ins, or the ID of an integrated resource such as a Gantner device for hardware-driven check-ins. When passing a resource ID, also set method_type accordingly.

  • method_typestringoptionalnullable

    The type of method used to create this check-in. Omit this field for a generic method, or set to gantner when the method is an allowed resource such as a Gantner Device.

    Possible values:gantner

Responses

  • 201

    The check-in was successfully retrieved

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 422

    The request didn't pass validation

get/customers/check-ins/queue

Queue a Check-ins Report

queueListCheckIns

Retrieves a report of check-ins in CSV format. The report will be generated asynchronously.

Query parameters

  • customer_idstringoptional

    The customer ID to filter check-ins by.

  • site_idstringoptional

    The site ID to filter check-ins by

  • date_fromstringoptional

    Filter check-ins and check-outs that happened on or after the given datetime.

  • date_tostringoptional

    Filter check-ins and check-outs that happened on or before the given datetime.

  • checked_in_at_fromstringoptional

    Filter check-ins that happened on or after the given datetime.

  • checked_in_at_tostringoptional

    Filter check-ins that happened on or before the given datetime.

  • method_idstringoptional

    Filter check-ins that were created by the given method ID.

  • method_typestringoptional

    Filter check-ins that were created by the given method type.

    Possible values:gantner

Responses

  • 200

    The job was successfully queued

  • 401

    The user is unauthenticated